<?php
// +-------------------------------+
// |   DreamStats 6.0 Revolution   |
// |  Copyright 2007  q6 Networks  |
// |   http://www.mnprojects.net   |
// +-------------------------------+

//

$phpversion = phpversion();
$sqlversion = mysql_get_client_info();

///////////////////////////////////////////
// -- Welcome Text
///////////////////////////////////////////

echo '<table cellspacing=0 cellpadding=0 border=0 width="100%" id="tip">
<tr><td><b>Welcome to DreamStats Administration Panel!</b><br><br>
<b>Need help?</b><br>If you need any kind of help with DreamStats, visit
<a target="_blank" title="q6 Networks Forums" href="http://www.mnprojects.net/forums/">
q6 Networks</a> forum and post your question so we can help you, or visit the
DreamStats Frequently Asked Questions. Please remember, no support will be given
through email, support allways starts at the forums.<br><br>This version supports
Call of Duty, Call of Duty United Offensive and Call of Duty 2. As soon as Call
of Duty 4 is available, a new version will be released to support Call of Duty 4.</td></tr></table><br>';

///////////////////////////////////////////
// -- Information
///////////////////////////////////////////

if(!empty($settings['serverip']) AND !empty($settings['serverport']))
{
    if($settings['verified'] == "yes")
    {
        $d_ip = '<font color="#BAF9AA">' . $settings['serverip'] . ':' . $settings['serverport'] . '</font>';
    }
    else
    {
        $d_ip = '<span style="cursor:help;" title="The last time your site was visited, DreamStats could not connect to this ip!"><img src="images/warning.gif" style="margin-bottom:0px;vertical-align:bottom;"> <font color="#FF6464">' . $settings['serverip'] . ':' . $settings['serverport'] . '</font></span>';
    }
}
else
{
    $d_ip = "<font color=\"#D50005\">No IP entered. Click <a href=\"?act=2\">here</a> to enter an IP.</font>";
}

echo '<table cellspacing=0 cellpadding=0 border=0 width="100%">

<tr>
 <td id="tbl-header" colspan=2>Information</td>
</tr>

<tr>
 <td id="tbl-content-l" width=190>DreamStats Version</td><td id="tbl-content-r">'.$ds_version_full.'<font color="black">!</font></td>
</tr>
<tr>
 <td id="tbl-content-l">PHP Version</td><td id="tbl-content-r">'.$phpversion.'</td>
</tr>
<tr>
 <td id="tbl-content-l">MySQL Version</td><td id="tbl-content-r">'.$sqlversion.'</td>
</tr>
<tr>
 <td id="tbl-content-l">Server</td><td id="tbl-content-r">'.$d_ip.'</td>
</tr>

</table><br>';

///////////////////////////////////////////
// -- Errors Found
///////////////////////////////////////////

if(file_exists("../install/index.php")) { $aerror[] = "Error, the installation file is present. Please remove it for safety reasons."; }
if(empty($settings['serverip']) AND empty($settings['serverport'])) { $aerror[] = "You did not enter a server IP! Click <a href=\"?act=2\">here</a> to enter it now."; }
if($phpversion < 4) { $aerror[] = "Your php version is not supported by this version of DreamStats! It might not work properly."; }
if($sqlversion < 4) { $aerror[] = "Your MySQL version is not supported by this version of DreamStats! It might not work properly."; }
if($settings['verified'] == "no") { $aerror[] = "Warning, your server IP is not verified. The server might be down."; }
if($logged_key == "21232f297a57a5a743894a0e4a801fc3") { $aerror[] = "You are using 'admin' as password, this is not safe as it is the default password! Please change it."; }

if(isset($aerror))
{
    $errors_count = count($aerror);

    if($errors_count == 1)
    {
        $errors_count = "One error found!";
    }
    else
    {
        $errors_count = $errors_count . " errors found!";
    }

    echo '<table cellspacing=0 cellpadding=0 border=0 width="100%">

    <tr>
      <td id="error-header" colspan=2>'.$errors_count.'</td>
    </tr>';

    foreach($aerror as $e)
    {
        echo '<tr>
        <td id="error">'.$e.'</td>
        </tr>';
    }

    echo '</table>';
}
else
{
    echo '<table cellspacing=0 cellpadding=0 border=0 width="100%">

    <tr>
      <td id="error-header" colspan=2> No errors found.</td>
    </tr>

    </table>';
}

?>