<?php
// +-------------------------------+
// |   DreamStats 6.0 Revolution   |
// |  Copyright 2007  q6 Networks  |
// |   http://www.mnprojects.net   |
// +-------------------------------+

$v = "6.0 Rev";

///////////////////////////////////////////
// -- Include Config
///////////////////////////////////////////

if(file_exists("../config.php"))
{
    include("../config.php");
}
else
{
    die("<b>DreamStats Error:</b> Config file was not found!");
}

///////////////////////////////////////////
// -- Check for MySQL Support
///////////////////////////////////////////

if(!function_exists("mysql_connect"))
{
    die("<b>DreamStats Error:</b> DreamStats require MySQL to be installed in your server!");
}

///////////////////////////////////////////
// -- Install Queries
///////////////////////////////////////////

$sql[] = "CREATE TABLE `".$db_prefix."admins` (
  `id` int(9) NOT NULL auto_increment,
  `login` varchar(255) NOT NULL,
  `loginkey` varchar(255) NOT NULL,
  `permissions` varchar(255) NOT NULL default '0',
  `lastlogin` int(255) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=2 ;";

$sql[] = "INSERT INTO `".$db_prefix."admins` VALUES (1, 'admin', '21232f297a57a5a743894a0e4a801fc3', '1,2,3,4,5,6,', 0);";

$sql[] = "CREATE TABLE `".$db_prefix."languages` (
  `id` int(9) NOT NULL auto_increment,
  `language` varchar(90) NOT NULL,
  `name` varchar(100) NOT NULL,
  `dname` varchar(100) NOT NULL,
  `value` varchar(255) NOT NULL,
  `cod` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=196 ;";

$sql[] = "INSERT INTO `".$db_prefix."languages` (`id`, `language`, `name`, `dname`, `value`, `cod`) VALUES
(1, 'english', 'serverinfo', 'Server Information', 'Server Information', 'cod1,cod1uo,cod2'),
(2, 'english', 'servername', 'Name:', 'Name:', 'cod1,cod1uo,cod2'),
(3, 'english', 'servername_tip', 'Name of the server.', 'Name of the server.', 'cod1,cod1uo,cod2'),
(4, 'english', 'serverip_tip', 'Server IP and Port.', 'Server IP and Port.', 'cod1,cod1uo,cod2'),
(5, 'english', 'gametype', 'Game Type:', 'Game Type:', 'cod1,cod1uo,cod2'),
(6, 'english', 'gametype_tip', 'Current server gametype.', 'Current server gametype.', 'cod1,cod1uo,cod2'),
(7, 'english', 'players', 'Players:', 'Players:', 'cod1,cod1uo,cod2'),
(8, 'english', 'players_tip', 'Players on this server / max players.', 'Players on this server / max players.', 'cod1,cod1uo,cod2'),
(9, 'english', 'full', 'Full', 'Full', 'cod1,cod1uo,cod2'),
(10, 'english', 'map', 'Map:', 'Map:', 'cod1,cod1uo,cod2'),
(11, 'english', 'map_tip', 'Name of the map being played.', 'Name of the map being played.', 'cod1,cod1uo,cod2'),
(12, 'english', 'moreinfo', 'More Information', 'More Information', 'cod1,cod1uo,cod2'),
(13, 'english', 'morelessinfo_tip', 'Click to view more/less information of the server.', 'Click to view more/less information of the server.', 'cod1,cod1uo,cod2'),
(14, 'english', 'lessinfo', 'Less Information', 'Less Information', 'cod1,cod1uo,cod2'),
(15, 'english', 'mapimg_tip', 'Image of the map being played.', 'Image of the map being played.', 'cod1,cod1uo,cod2'),
(16, 'english', 'playerinfo', 'Player Information', 'Player Information', 'cod1,cod1uo,cod2'),
(17, 'english', 'playername', 'Player Name:', 'Player Name:', 'cod1,cod1uo,cod2'),
(18, 'english', 'playername_tip', 'Name/Nick of the players in the server.', 'Name/Nick of the players in the server.', 'cod1,cod1uo,cod2'),
(19, 'english', 'score', 'Score:', 'Score:', 'cod1,cod1uo,cod2'),
(20, 'english', 'score_tip', 'The score/points of the players.', 'The score/points of the players.', 'cod1,cod1uo,cod2'),
(21, 'english', 'ping', 'Ping:', 'Ping:', 'cod1,cod1uo,cod2'),
(22, 'english', 'ping_tip', 'Current ping of the player.', 'Current ping of the player.', 'cod1,cod1uo,cod2'),
(23, 'english', 'noplayers', 'There are no players in the server.', 'There are no players in the server.', 'cod1,cod1uo,cod2'),
(24, 'english', 'pure', 'The server is <b>pure</b>.', 'The server is <b>pure</b>.', 'cod1,cod1uo,cod2'),
(25, 'english', 'notpure', 'The server is <b>not pure</b>.', 'The server is <b>not pure</b>.', 'cod1,cod1uo,cod2'),
(26, 'english', 'punkbusteroff', 'Punkbuster anticheat <b>disabled</b>.', 'Punkbuster anticheat <b>disabled</b>.', 'cod1,cod1uo,cod2'),
(27, 'english', 'punkbusteron', 'Punkbuster anticheat <b>enabled</b>.', 'Punkbuster anticheat <b>enabled</b>.', 'cod1,cod1uo,cod2'),
(28, 'english', 'maxping', 'Maximum ping is:', 'Maximum ping is:', 'cod1,cod1uo,cod2'),
(29, 'english', 'unlimited', 'unlimited', 'unlimited', 'cod1,cod1uo,cod2'),
(30, 'english', 'minping', 'Minimum ping is:', 'Minimum ping is:', 'cod1,cod1uo,cod2'),
(31, 'english', 'maxrate', 'Maximum rate is:', 'Maximum rate is:', 'cod1,cod1uo,cod2'),
(32, 'english', 'nopassword', 'The server has <b>no password</b>.', 'The server has <b>no password</b>.', 'cod1,cod1uo,cod2'),
(33, 'english', 'password', 'The server is <b>password protected</b>.', 'The server is <b>password protected</b>.', 'cod1,cod1uo,cod2'),
(34, 'english', 'killcamoff', 'Killcam mode is <b>disabled</b>.', 'Killcam mode is <b>disabled</b>.', 'cod1,cod1uo,cod2'),
(35, 'english', 'killcamon', 'Killcam mode is <b>enabled</b>.', 'Killcam mode is <b>enabled</b>.', 'cod1,cod1uo,cod2'),
(36, 'english', 'voiceoff', 'Voice engine is <b>disabled</b>.', 'Voice engine is <b>disabled</b>.', 'cod2'),
(37, 'english', 'voiceon', 'Voice engine is <b>enabled</b>.', 'Voice engine is <b>enabled</b>.', 'cod2'),
(38, 'english', 'running', 'The server is running', 'The server is running', 'cod1,cod1uo,cod2'),
(39, 'english', 'version', 'version', 'version', 'cod1,cod1uo,cod2'),
(79, 'portuguese', 'serverinfo', 'Server Information', 'Informação do Servidor', 'cod1,cod1uo,cod2'),
(80, 'portuguese', 'servername', 'Name:', 'Nome:', 'cod1,cod1uo,cod2'),
(81, 'portuguese', 'servername_tip', 'Name of the server.', 'Nome do servidor.', 'cod1,cod1uo,cod2'),
(82, 'portuguese', 'serverip_tip', 'Server IP and Port.', 'IP e Porta do servidor.', 'cod1,cod1uo,cod2'),
(83, 'portuguese', 'gametype', 'Game Type:', 'Tipo de Jogo:', 'cod1,cod1uo,cod2'),
(84, 'portuguese', 'gametype_tip', 'Current server gametype.', 'Tipo de jogo definido de momento.', 'cod1,cod1uo,cod2'),
(85, 'portuguese', 'players', 'Players:', 'Jogadores:', 'cod1,cod1uo,cod2'),
(86, 'portuguese', 'players_tip', 'Players on this server / max players.', 'Jogadores no servidor / disponibilidade de jogadores.', 'cod1,cod1uo,cod2'),
(87, 'portuguese', 'full', 'Full', 'Cheio', 'cod1,cod1uo,cod2'),
(88, 'portuguese', 'map', 'Map:', 'Mapa:', 'cod1,cod1uo,cod2'),
(89, 'portuguese', 'map_tip', 'Name of the map being played.', 'Nome do mapa a decorrer.', 'cod1,cod1uo,cod2'),
(90, 'portuguese', 'moreinfo', 'More Information', 'Mais Informação', 'cod1,cod1uo,cod2'),
(91, 'portuguese', 'morelessinfo_tip', 'Click to view more/less information of the server.', 'Carregue aqui para ver mais/menos informação.', 'cod1,cod1uo,cod2'),
(92, 'portuguese', 'lessinfo', 'Less Information', 'Menos Informação', 'cod1,cod1uo,cod2'),
(93, 'portuguese', 'mapimg_tip', 'Image of the map being played.', 'Imagem do mapa a decorrer.', 'cod1,cod1uo,cod2'),
(94, 'portuguese', 'playerinfo', 'Player Information', 'Informação do jogador', 'cod1,cod1uo,cod2'),
(95, 'portuguese', 'playername', 'Player Name:', 'Nome do Jogador:', 'cod1,cod1uo,cod2'),
(96, 'portuguese', 'playername_tip', 'Name/Nick of the players in the server.', 'Nome/Nick do jogador no servidor.', 'cod1,cod1uo,cod2'),
(97, 'portuguese', 'score', 'Score:', 'Score:', 'cod1,cod1uo,cod2'),
(98, 'portuguese', 'score_tip', 'The score/points of the players.', 'Pontuação dos jogadores.', 'cod1,cod1uo,cod2'),
(99, 'portuguese', 'ping', 'Ping:', 'Ping:', 'cod1,cod1uo,cod2'),
(100, 'portuguese', 'ping_tip', 'Current ping of the player.', 'Latência dos jogadores:', 'cod1,cod1uo,cod2'),
(101, 'portuguese', 'noplayers', 'There are no players in the server.', 'Não há jogadores no servidor.', 'cod1,cod1uo,cod2'),
(102, 'portuguese', 'pure', 'The server is <b>pure</b>.', 'O servidor é <b>puro</b>.', 'cod1,cod1uo,cod2'),
(103, 'portuguese', 'notpure', 'The server is <b>not pure</b>.', 'O servidor <b>não é puro</b>.', 'cod1,cod1uo,cod2'),
(104, 'portuguese', 'punkbusteroff', 'Punkbuster anticheat <b>disabled</b>.', 'O Punkbuster anticheat está <b>desligado</b>.', 'cod1,cod1uo,cod2'),
(105, 'portuguese', 'punkbusteron', 'Punkbuster anticheat <b>enabled</b>.', 'O Punkbuster anticheat está <b>ligado</b>.', 'cod1,cod1uo,cod2'),
(106, 'portuguese', 'maxping', 'Maximum ping is:', 'O ping máximo é:', 'cod1,cod1uo,cod2'),
(107, 'portuguese', 'unlimited', 'unlimited', 'ilimitado', 'cod1,cod1uo,cod2'),
(108, 'portuguese', 'minping', 'Minimum ping is:', 'O ping mínimo é:', 'cod1,cod1uo,cod2'),
(109, 'portuguese', 'maxrate', 'Maximum rate is:', 'O rate máximo é:', 'cod1,cod1uo,cod2'),
(110, 'portuguese', 'nopassword', 'The server has <b>no password</b>.', 'O servidor <b>não tem password</b>.', 'cod1,cod1uo,cod2'),
(111, 'portuguese', 'password', 'The server is <b>password protected</b>.', 'O servidor está protegido com <b>password</b>.', 'cod1,cod1uo,cod2'),
(112, 'portuguese', 'killcamoff', 'Killcam mode is <b>disabled</b>.', 'A killcam está <b>desligada</b>.', 'cod1,cod1uo,cod2'),
(113, 'portuguese', 'killcamon', 'Killcam mode is <b>enabled</b>.', 'A killcam está <b>ligada</b>.', 'cod1,cod1uo,cod2'),
(114, 'portuguese', 'running', 'The server is running', 'O servidor está a correr o', 'cod1,cod1uo,cod2'),
(115, 'portuguese', 'version', 'version', 'versão', 'cod1,cod1uo,cod2'),
(116, 'portuguese', 'voiceon', 'Voice engine is <b>disabled</b>.', 'O sistema de voz está <b>desligado</b>.', 'cod2'),
(117, 'portuguese', 'voiceoff', 'Voice engine is <b>enabled</b>.', 'O sistema de voz está <b>ligado</b>.', 'cod2'),
(118, 'dutch', 'serverinfo', 'Server Information', 'Server Informatie', 'cod1,cod1uo,cod2'),
(119, 'dutch', 'servername', 'Name:', 'Naam:', 'cod1,cod1uo,cod2'),
(120, 'dutch', 'servername_tip', 'Name of the server.', 'Naam van de server.', 'cod1,cod1uo,cod2'),
(121, 'dutch', 'serverip_tip', 'Server IP and Port.', 'Server IP en Port.', 'cod1,cod1uo,cod2'),
(122, 'dutch', 'gametype', 'Game Type:', 'Game Type:', 'cod1,cod1uo,cod2'),
(123, 'dutch', 'gametype_tip', 'Current server gametype.', 'Actuele server gametype.', 'cod1,cod1uo,cod2'),
(124, 'dutch', 'players', 'Players:', 'Spelers:', 'cod1,cod1uo,cod2'),
(125, 'dutch', 'players_tip', 'Players on this server / max players.', 'Spelers op de server / maximaal aantal spelers.', 'cod1,cod1uo,cod2'),
(126, 'dutch', 'full', 'Full', 'Vol', 'cod1,cod1uo,cod2'),
(127, 'dutch', 'map', 'Map:', 'Map:', 'cod1,cod1uo,cod2'),
(128, 'dutch', 'map_tip', 'Name of the map being played.', 'Naam van de map.', 'cod1,cod1uo,cod2'),
(129, 'dutch', 'moreinfo', 'More Information', 'Meer Informatie', 'cod1,cod1uo,cod2'),
(130, 'dutch', 'morelessinfo_tip', 'Click to view more/less information of the server.', 'Klik hier voor meer/minder informatie.', 'cod1,cod1uo,cod2'),
(131, 'dutch', 'lessinfo', 'Less Information', 'Minder Informatie', 'cod1,cod1uo,cod2'),
(132, 'dutch', 'mapimg_tip', 'Image of the map being played.', 'Plaatje van de actuele map.', 'cod1,cod1uo,cod2'),
(133, 'dutch', 'playerinfo', 'Player Information', 'Speler Informatie', 'cod1,cod1uo,cod2'),
(134, 'dutch', 'playername', 'Player Name:', 'Speler Naam:', 'cod1,cod1uo,cod2'),
(135, 'dutch', 'playername_tip', 'Name/Nick of the players in the server.', 'Nicknaam van de spelers in de server.', 'cod1,cod1uo,cod2'),
(136, 'dutch', 'score', 'Score:', 'Score:', 'cod1,cod1uo,cod2'),
(137, 'dutch', 'score_tip', 'The score/points of the players.', 'Score van de spelers.', 'cod1,cod1uo,cod2'),
(138, 'dutch', 'ping', 'Ping:', 'Ping:', 'cod1,cod1uo,cod2'),
(139, 'dutch', 'ping_tip', 'Current ping of the player.', 'Ping van de spelers.', 'cod1,cod1uo,cod2'),
(140, 'dutch', 'noplayers', 'There are no players in the server.', 'Er zijn momenteel geen spelers in de server.', 'cod1,cod1uo,cod2'),
(141, 'dutch', 'pure', 'The server is <b>pure</b>.', 'De server is <b>pure</b>.', 'cod1,cod1uo,cod2'),
(142, 'dutch', 'notpure', 'The server is <b>not pure</b>.', 'De server is <b>niet pure</b>.', 'cod1,cod1uo,cod2'),
(143, 'dutch', 'punkbusteroff', 'Punkbuster anticheat <b>disabled</b>.', 'Punkbuster is <b>uitgeschakeld</b>.', 'cod1,cod1uo,cod2'),
(144, 'dutch', 'punkbusteron', 'Punkbuster anticheat <b>enabled</b>.', 'Punkbuster us <b>ingeschakeld</b>.', 'cod1,cod1uo,cod2'),
(145, 'dutch', 'maxping', 'Maximum ping is:', 'Maximum ping is:', 'cod1,cod1uo,cod2'),
(146, 'dutch', 'unlimited', 'unlimited', 'ongelimiteerd', 'cod1,cod1uo,cod2'),
(147, 'dutch', 'minping', 'Minimum ping is:', 'Minimum ping is:', 'cod1,cod1uo,cod2'),
(148, 'dutch', 'maxrate', 'Maximum rate is:', 'Maximum rate is:', 'cod1,cod1uo,cod2'),
(149, 'dutch', 'nopassword', 'The server has <b>no password</b>.', 'De server heeft <b>geen wachtwoord</b>.', 'cod1,cod1uo,cod2'),
(150, 'dutch', 'password', 'The server is <b>password protected</b>.', 'De server heeft <b>een wachtwoord</b>.', 'cod1,cod1uo,cod2'),
(151, 'dutch', 'killcamoff', 'Killcam mode is <b>disabled</b>.', 'Killcam mode is <b>uitgeschakeld</b>.', 'cod1,cod1uo,cod2'),
(152, 'dutch', 'killcamon', 'Killcam mode is <b>enabled</b>.', 'Killcam mode is <b>ingeschakeld</b>.', 'cod1,cod1uo,cod2'),
(153, 'dutch', 'running', 'The server is running', 'De server draait op', 'cod1,cod1uo,cod2'),
(154, 'dutch', 'version', 'version', 'versie', 'cod1,cod1uo,cod2'),
(155, 'dutch', 'voiceon', 'Voice engine is <b>disabled</b>.', 'Voice engine is <b>uitgeschakeld</b>.', 'cod2'),
(156, 'dutch', 'voiceoff', 'Voice engine is <b>enabled</b>.', 'Voice engine is <b>ingeschakeld</b>.', 'cod2');";

$sql[] = "CREATE TABLE `".$db_prefix."settings` (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(99) NOT NULL,
  `dname` varchar(99) NOT NULL,
  `description` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `dvalue` varchar(50) NOT NULL,
  `section` varchar(90) NOT NULL,
  `sgroup` varchar(255) NOT NULL default 'nogroup',
  `input` varchar(90) NOT NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=32 ;";

$sql[] = "INSERT INTO `".$db_prefix."settings` (`id`, `name`, `dname`, `description`, `value`, `dvalue`, `section`, `sgroup`, `input`) VALUES
(1, 'serverip', 'Server IP', 'The IP of the Call of Duty server. No Port!', '', '', 'serverinfo', 'nogroup', 'textbox'),
(2, 'serverport', 'Server Port', 'The Port of the Call of Duty server.', '', '', 'serverinfo', 'nogroup', 'textbox'),
(3, 'skin', 'Skin', 'The skin to use with DreamStats.', 'revolution', 'revolution', 'skins', 'nogroup', 'selectbox'),
(4, 'language', 'Language', 'The language to use with DreamStats.', 'english', 'english', 'languages', 'nogroup', 'selectbox'),
(5, 'title', 'Page Title', 'The title of the statistics page.', 'Active Statistics', 'Active Statistics', 'mainsettings', 'Page Configuration', 'textbox'),
(6, 'mainwidth', 'Width of Table', 'Width in pixels of the main stats table.', '500', '500', 'mainsettings', 'Page Configuration', 'textbox'),
(7, 'usecolors', 'Colorize Names', 'Use colors in server name and for each player.', 'yes', 'yes', 'mainsettings', 'Colors', 'radio'),
(8, 'c1', 'Color: Red', 'Red', '#f00005', '#f00005', 'colors', 'nogroup', 'textbox'),
(9, 'c2', 'Color: Green', 'Green', '#25ff47', '#25ff47', 'colors', 'nogroup', 'textbox'),
(10, 'c3', 'Color: Yellow', 'Yellow', '#d2cc3c', '#d2cc3c', 'colors', 'nogroup', 'textbox'),
(11, 'c4', 'Color: Dark Blue', 'Dark Blue', '#3f54ff', '#3f54ff', 'colors', 'nogroup', 'textbox'),
(12, 'c5', 'Color: Light Blue', 'Light Blue', '#3cb2d2', '#3cb2d2', 'colors', 'nogroup', 'textbox'),
(13, 'c6', 'Color: Pink', 'Pink', '#d23c9b', '#d23c9b', 'colors', 'nogroup', 'textbox'),
(14, 'c7', 'Color: White', 'White', '#ffffff', '#ffffff', 'colors', 'nogroup', 'textbox'),
(15, 'c8', 'Color: Light Green', 'Light Green', '#64a13f', '#64a13f', 'colors', 'nogroup', 'textbox'),
(16, 'c9', 'Color: Gray', 'Gray', '#a1a1a1', '#a1a1a1', 'colors', 'nogroup', 'textbox'),
(17, 'c0', 'Color: Black', 'Black', '#000000', '#000000', 'colors', 'nogroup', 'textbox'),
(18, 'usepingcolors', 'Colorize Pings', 'Colorize player pings. Below n number is normal color, higher is yellow and 999 is red.', 'yes', 'yes', 'mainsettings', 'Colors', 'radio'),
(19, 'pingcolorsmin', 'Maximum Ping', 'Maximum ping considered normal.', '160', '160', 'mainsettings', 'Colors', 'textbox'),
(20, 'mapimage', 'Map Image Align', 'How do you want the map image to be aligned.', 'Normal', 'Normal', 'mainsettings', 'Map Image', 'varbox::Normal||Fill 100%||Left||Center||Right'),
(21, 'verified', 'IP Verified', 'If the server IP is verified or not.', 'yes', 'yes', 'ipverification', 'nogroup', 'radio'),
(22, 'country', 'Country', 'Country where your server is located.', '', '', 'serverinfo', 'nogroup', 'select'),
(23, 'notes', 'Notes', 'Save any notes for you or other admins.', '', '', 'serverinfo', 'nogroup', 'textarea'),
(24, 'charset', 'Charset', 'The character set to use in stats page. Different languages may require this to be changed.', 'ISO-8859-1', 'ISO-8859-1', 'mainsettings', 'Page Configuration', 'textbox'),
(25, 'palign', 'Page Alignment', 'Alignment of the main table.', 'Center', 'Center', 'mainsettings', 'Page Configuration', 'varbox::Left||Center||Right'),
(26, 'so_target', 'Link Target', 'Specify target for the More Information link.', '_blank', '_blank', 'mainsettings', 'Small One', 'textbox'),
(27, 'so_align', 'Alignment', 'The alignment of the main table.', 'Center', 'Center', 'mainsettings', 'Small One', 'varbox::Left||Center||Right'),
(28, 'so_width', 'Table Width', 'Width in pixels of the main table.', '200', '200', 'mainsettings', 'Small One', 'textbox'),
(29, 'imgformat', 'Map Img Format', 'Format of the Map Images. (jpg, jpeg, gif, png...)', 'jpg', 'jpg', 'mainsettings', 'Map Image', 'textbox'),
(30, 'metadesc', 'Meta Description', 'Meta-Description of the page.', '', '', 'mainsettings', 'Page Configuration', 'textbox'),
(31, 'metakeys', 'Meta Keywords', 'Meta-Keywords of the page. Separate by commas.', 'dreamstats, ds', 'dreamstats, ds', 'mainsettings', 'Page Configuration', 'textbox');";

///////////////////////////////////////////
// -- Verification
///////////////////////////////////////////

if(!isset($_POST['doinstall']))
{
    echo '
        <html>
        <head>
         <title>DreamStats '.$v.' - Installation</title>
         <meta name="robots" content="noindex, nofollow">
        </head>

        <body>

        <form name="login" method="post" action="index.php">
        <input type="hidden" name="doinstall" value="doinstall">

        <table cellspacing=0 cellpadding=0 border=0 width="100%" height="100%">
        <tr><td valign="middle">

        <table cellspacing=0 cellpadding=0 border=0 align="center" width=400
        style="border: 1px solid #E0E0E0;font-family:arial;color:gray;font-size:16px;">';

        if(empty($db_host))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;padding-top:30px;color:red;"><b>Error:</b></td><td style="padding-top:30px;">Host not specified in config!</td>
            </tr>';
            $error[] = 1; $dberror[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;padding-top:30px;color:green;"><b>Ok:</b></td><td style="padding-top:30px;">Host specified in config!</td>
            </tr>';
        }

        if(empty($db_name))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:red;"><b>Error:</b></td><td>Database name not specified in config!</td>
            </tr>';
            $error[] = 1; $dberror[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:green;"><b>Ok:</b></td><td>Database name specified in config!</td>
            </tr>';
        }

        if(!@mysql_connect($db_host, $db_user, $db_pass))
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:red;"><b>Error:</b></td><td>Could not connect to the database!
               <br><font style="font-size:11px;">'.mysql_error().'</font></td>
            </tr>';
            $error[] = 1; $checkcfg[] = 1;
        }
        else
        {
            echo '<tr>
               <td align="right" height=1 style="padding-right:5px;color:green;"><b>Ok:</b></td><td>MySQL Connection established!</td>
            </tr>';
        }

        if(!isset($error))
        {
            echo '<tr>
               <td align="center" colspan=2><br><br><input type="submit" name="submit" value="Install Now"></td>
            </tr>';
        }

        if(isset($dberror))
        {
            echo '<tr>
               <td align="center" colspan=2><font color="red" style="font-size:11px;"><br>
               You need to edit "config.php" file with any text editor, notepad for example. Open "config.php" file
               with notepad and enter the required MySQL information to connect to the MySQL server. Remember, the
               information is entered between double quotes! You don\'t need to manually create the database, this
               script will check if it is already created and if it\'s not, it will create one with the name specified
               in the config file.</font></td>
            </tr>';
        }

        if(isset($checkcfg))
        {
            echo '<tr>
               <td align="center" colspan=2><font color="red" style="font-size:11px;"><br>
               Please check "config.php".</font></td>
            </tr>';
        }

        echo '<tr>
         <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
        <tr>
         <td colspan=2 align="center" style="font-size:11px;padding-bottom:30px;">DreamStats &copy; '.date('Y').' q6 Networks</td>
        </tr>
        </table>

        </tr></td>
        </table>

        </form>

        </body>

        </html>';
}
else
{

///////////////////////////////////////////
// -- Run Queries
///////////////////////////////////////////

    $connect = mysql_connect($db_host, $db_user, $db_pass);

    if(mysql_select_db($db_name))
    {
        // it's selected, go on...
        echo '<!-- DATABASE ALREADY EXISTS -->';
    }
    else
    {
        $create = mysql_query("CREATE DATABASE ".$db_name.";");
        mysql_select_db($db_name);
        echo '<!-- DATABASE CREATED SUCCESSFULLY! -->';
    }

    foreach($sql as $s)
    {
        $go = mysql_query($s); // Insert tables and fields

        if(!$go)
        {
            exit("<b>Could not install DreamStats or it is already installed!</b><br><br>" . mysql_error());
        }
    }

    echo '
        <html>
        <head>
         <title>DreamStats '.$v.' - Installation</title>
         <meta name="robots" content="noindex, nofollow">
        </head>

        <body>

        <form name="login" method="post" action="index.php">
        <input type="hidden" name="doinstall" value="doinstall">

        <table cellspacing=0 cellpadding=0 border=0 width="100%" height="100%">
        <tr><td valign="middle">

        <table cellspacing=0 cellpadding=0 border=0 align="center" width=400
        style="border: 1px solid #E0E0E0;font-family:arial;color:gray;font-size:16px;">';

    echo '<tr>
             <td align="center" colspan=2 height=1 style="padding-right:5px;"><br><br><b>DreamStats Installed Successfully!</b><br><br>
             Use the Username: <b>admin</b> and Password: <b>admin</b> to login into the <a href="../admin/index.php">administration panel</a>.</td>
         </tr>';

    echo '<tr>
         <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
        <tr>
         <td colspan=2 align="center" style="font-size:11px;padding-bottom:30px;">DreamStats &copy; '.date('Y').' q6 Networks</td>
        </tr>
        </table>

        </tr></td>
        </table>

        </form>

        </body>

        </html>';
}

?>